%define oname TaskCoach

Name:           taskcoach
Version:        1.2.18
Release:        %mkrel 1
Summary:        Your friendly task manager
License:        GPLv3
Group:          Office
Url:            http://www.taskcoach.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{oname}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel
BuildRequires:  wxPython >= 2.8.9.1
BuildRequires:  imagemagick
Requires:       wxPython

%description
Task Coach is a simple open source todo manager to keep track of personal
tasks and todo lists. It grew out of a frustration that most task managers
do not provide facilities for composite tasks. Often, tasks and other
things todo consist of several activities. Task Coach is designed to deal
with composite tasks. In addition, it offers effort tracking, categories,
and notes.
Task Coach is available for Windows, Mac OS X, Linux, BSD, and iPhone and
iPod Touch.

%prep
%setup -q -n %{oname}-%{version}

%build

%install
rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
#can't rename it as FILE_LIST contains .py
#mv %{buildroot}%{_bindir}/%{name}.py %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert -resize 16x16 icons.in/taskcoach.png %{buildroot}%{_miconsdir}/%{name}.png
convert -resize 32x32 icons.in/taskcoach.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 48x48 icons.in/taskcoach.png %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Mon May 23 2011 dams <dams> 1.2.18-1.mga1
+ Revision: 100238
- Update to 1.2.18

* Mon May 16 2011 dams <dams> 1.2.17-1.mga1
+ Revision: 99205
- update to 1.2.17
- update to 1.2.16

* Wed Apr 20 2011 dams <dams> 1.2.14-1.mga1
+ Revision: 89045
- Update to 1.2.14

* Mon Apr 11 2011 dams <dams> 1.2.13-3.mga1
+ Revision: 83327
+ rebuild (emptylog)

* Mon Apr 11 2011 dams <dams> 1.2.13-2.mga1
+ Revision: 83322
+ rebuild (emptylog)

* Mon Apr 11 2011 dams <dams> 1.2.13-1.mga1
+ Revision: 83233
- Update to 1.2.13
- Update to 1.2.13

* Fri Apr 01 2011 obgr_seneca <obgr_seneca> 1.2.12-2.mga1
+ Revision: 79659
- added forgotten icons

* Mon Mar 28 2011 obgr_seneca <obgr_seneca> 1.2.12-1.mga1
+ Revision: 78451
- imported package taskcoach


* Fri Mar 25 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.2.12-1.mga1
- initial package for Mageia
